// $Id: VideoSystem.cc,v 1.7 2005/02/28 18:57:37 m9710797 Exp $

#include "VideoSystem.hh"
#include "CommandException.hh"
#include <cassert>

using std::string;

namespace openmsx {

VideoSystem::~VideoSystem()
{
}

Rasterizer* VideoSystem::createRasterizer(VDP* /*vdp*/)
{
	assert(false);
	return 0;
}

bool VideoSystem::checkSettings()
{
	return true;
}

bool VideoSystem::prepare()
{
	return true;
}

void VideoSystem::takeScreenShot(const string& /*filename*/)
{
	throw CommandException(
		"Taking screenshot not possible with current renderer." );
}

} // namespace openmsx

